from telemetrix_rpi_pico import telemetrix_rpi_pico
import kuukar_leds, kuukar_collision, kuukar_motion, kuukar_lcd, kuukar_sensors

from kuukar_config import SERIAL_AUX_BOARD, SERIAL_DRIVER_BOARD
if __name__ == '__main__':
    aux_board = telemetrix_rpi_pico.TelemetrixRpiPico(com_port=SERIAL_AUX_BOARD)
    driver_board = telemetrix_rpi_pico.TelemetrixRpiPico(com_port=SERIAL_DRIVER_BOARD)
    sensors = kuukar_sensors.sensors(aux_board,driver_board)
    leds = kuukar_leds.leds(aux_board=aux_board)
    lcd = kuukar_lcd.lcd()
    motion = kuukar_motion.motion(driver_board=driver_board,leds=leds,sensors= sensors)