import threading
from time import sleep
from kuukar_lcd import lcd
from kuukar_leds import leds
from kuukar_sensors import sensors


class temperature:
    def __init__(self, lcd: lcd, leds: leds, sensors: sensors) -> None:
        self.lcd = lcd
        self.leds = leds
        self.sensors = sensors
        threading.Thread(target=self.temperature_checker).start()
    
    def temperature_checker(self):
        while True:
            sleep(5)